Bug 724906 (CVE-2011-0216) - CVE-2011-0216 libxml2: Off-by-one error leading to heap-based buffer overflow in encoding
Summary: CVE-2011-0216 libxml2: Off-by-one error leading to heap-based buffer overflow...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0216
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 710397 755813 755814 771904 771906 771907 820846 833934 891477 891478
Blocks: 724912 734217 771915 891480
TreeView+ depends on / blocked
 
Reported: 2011-07-22 09:34 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:46 UTC (History)
9 users (show)

Fixed In Version: libxml2 2.8.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 19:51:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1749 normal SHIPPED_LIVE Low: libxml2 security and bug fix update 2011-12-06 01:01:47 UTC
Red Hat Product Errata RHSA-2012:0016 normal SHIPPED_LIVE Important: libxml2 security update 2012-01-11 22:47:42 UTC
Red Hat Product Errata RHSA-2012:0017 normal SHIPPED_LIVE Important: libxml2 security update 2012-01-11 22:45:39 UTC
Red Hat Product Errata RHSA-2013:0217 normal SHIPPED_LIVE Important: mingw32-libxml2 security update 2013-02-01 00:25:14 UTC

Description Jan Lieskovsky 2011-07-22 09:34:21 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-0216 to
the following vulnerability:

Off-by-one error in libxml in Apple Safari before 5.0.6 allows remote attackers to execute arbitrary code or cause a denial of service (heap-based buffer overflow and application crash) via a crafted web site.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0216
[2] http://support.apple.com/kb/HT4808
[3] http://lists.apple.com/archives/security-announce/2011//Jul/msg00002.html

Comment 1 Jan Lieskovsky 2011-07-22 09:37:22 UTC
Unfortunately right now we don't have further information about this flaw, than it is listed above. Thus not sure, if this flaw might be applicable to libxml / libxml2 / mingw32-libxml2 package versions, as shipped across different Red Hat Enterprise Linux and Fedora products.

We have contacted Apple Security Team to provide further details about this issue and once they are provided, this Red Hat Bugzilla issue tracking system entry will be updated accordingly.

Comment 5 Paul Howarth 2011-08-04 06:30:03 UTC
What about libxml? Are there more details of this vulnerability posted somewhere?

Comment 18 Kai Tietz 2011-08-23 10:28:32 UTC
As far as I understood is this CVE not affecting our libxml2 version.  Are any more details for this?  Or is this CVE something to close?

Regards,
Kai

Comment 19 Paul Howarth 2011-08-23 12:12:59 UTC
(In reply to comment #18)
> As far as I understood is this CVE not affecting our libxml2 version.  Are any
> more details for this?  Or is this CVE something to close?

According to Comment #4 it doesn't affect libxml2. However, we still don't know yet if it affects libxml.

Comment 23 Paul Howarth 2011-11-16 18:51:33 UTC
(In reply to comment #21)
> Upstream commit:
> http://git.gnome.org/browse/libxml2/commit/?id=69f04562f75212bfcabecd190ea8b06ace28ece2

I don't see any code like that in libxml's encoding.c so I guess that's not vulnerable?

Comment 24 Daniel Veillard 2011-11-18 08:34:37 UTC
In what version of encoding.c did you look ? Because that bug has
been around forever ... if you mean libxml as libxml version1, then yes
it's likely to not have that code, it's more than 10 years old, and I
don't think the support for iconv was plugged yet at the time of renaming
to libxml2.
But any recent version of libxml (i.e. libxml2) is affected.

Daniel

Comment 25 Paul Howarth 2011-11-18 09:43:49 UTC
(In reply to comment #24)
> In what version of encoding.c did you look ? Because that bug has
> been around forever ... if you mean libxml as libxml version1, then yes
> it's likely to not have that code, it's more than 10 years old, and I
> don't think the support for iconv was plugged yet at the time of renaming
> to libxml2.

Yes, I did mean libxml as libxml version1; it's still in Fedora at the moment.

Comment 26 Daniel Veillard 2011-11-18 14:05:22 UTC
urgh that should have been deprecated for ages ...

Daniel

Comment 30 Huzaifa S. Sidhpurwala 2011-11-22 05:08:40 UTC
We have recently discovered new facts about this issue. They suggest that Red Hat Enterprise Linux 4, 5 and 6. As well as Fedora release 14, 15 and 16 are affected by this flaw.

Comment 32 Huzaifa S. Sidhpurwala 2011-11-22 05:59:50 UTC
This issue affects the version of libxml2 as shipped with Fedora release 14, 15 and 16.

This issue affects the version of mingw32-libxml2 as shipped with Fedora release 14, 15 and 16.

Comment 33 Huzaifa S. Sidhpurwala 2011-11-22 06:01:05 UTC
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 755813]

Comment 34 Huzaifa S. Sidhpurwala 2011-11-22 06:01:10 UTC
Created mingw32-libxml2 tracking bugs for this issue

Affects: fedora-all [bug 755814]

Comment 35 errata-xmlrpc 2011-12-06 18:55:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1749 https://rhn.redhat.com/errata/RHSA-2011-1749.html

Comment 46 errata-xmlrpc 2012-01-11 17:49:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0017 https://rhn.redhat.com/errata/RHSA-2012-0017.html

Comment 47 errata-xmlrpc 2012-01-11 17:50:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0016 https://rhn.redhat.com/errata/RHSA-2012-0016.html

Comment 50 errata-xmlrpc 2013-01-31 19:32:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html

Comment 51 Vincent Danen 2013-04-03 19:51:18 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.